/**
 * Получение свойства объекта
 * @param {object} src
 * @param {string} path
 */
function get(src, path) {
    path = path.split('.')
    for (let key of path) {
        src = src[key];
        if (src === undefined) {
            return;
        }
    }
    return src;
}

var fixture = {
	foo: {
		bar: [
			{qux: 'bingo'},
		],
	},
};

// Проверка
console.log(get(fixture, 'foo.bar.0.qux') === 'bingo');
