// Реализовать создание следующую запись ;]
// ...

const romanToDecMap = {
    'I': 1,
    'V': 5,
    'X': 10,
    'L': 50,
    'C': 100,
    'D': 500,
    'M': 1000
}

function romanToDec(roman) {
    let res = 0;
    for (let i = 0; i < roman.length; i++) {
        cur = romanToDecMap[roman[i]];
        next = romanToDecMap[roman[i + 1]];
        if (cur >= next || next === undefined) {
            res += cur;
        } else {
            res += -cur + next;
            i++;
        }
    }
    return res;
}

function nArr(n) {
    return Array.from(Array(n).keys());
}

const proxyHandler = {
    get: function (target, prop, receiver) {
        const n = romanToDec(prop);
        return nArr(n);
    }
};

const proxy =  new Proxy(Number.prototype, proxyHandler);
Object.setPrototypeOf(Number.prototype, proxy);


console.log(0..V);   // [0, 1, 2, 3, 4];
console.log(0..VII); // [0, 1, 2, 3, 4, 5, 6];